mutable_buffer

Experimental - Pointer to a mutable memory region with a size. More...

`#include <connection_engine.hpp>`

## Public Member Functions

| mutable_buffer (char *data_=0, size_t size_=0)
| Construct a buffer starting at data_ with size_ bytes.

## Public Attributes

char * | data
| Beginning of the buffered data.
size_t | size
| Number of bytes in the buffer.

## Detailed Description

Experimental - Pointer to a mutable memory region with a size.

Examples:
  mt/epoll_container.cpp.

The documentation for this struct was generated from the following file:

- proton/io/connection_engine.hpp